1. Updated TRAKTOR hardware drivers for Mac OS 10.9 and 10.10

    If you are currently running Mac OS 10.9 or 10.10:

    There is an important new driver update available for your TRAKTOR KONTROL S4 MK1, AUDIO 2 DJ, AUDIO 4 DJ, or AUDIO 8 DJ. These drivers fix an issue which occasionally caused the hardware to disconnect.

    We strongly recommend this update to anyone using these TRAKTOR products with Mac OS 10.9 or 10.10 to ensure the best possible hardware performance.

    To install the latest driver, please follow the link for your device and select version 2.7.0 to download.

    Update TRAKTOR KONTROL S4 MK1
    Update AUDIO 2 DJ
    Update AUDIO 4 DJ
    Update AUDIO 8 DJ

    If you are currently running Mac OS 10.8 or lower, please disregard this update.

Traktor 3 LE upgrade to Pro 2

Discussion in 'TRAKTOR LE / TRAKTOR ME' started by ohmee, Apr 1, 2011.

Thread Status:
Not open for further replies.
  1. ohmee

    ohmee New Member

    Messages:
    4
    When I bought the BCD300 it came with TLE so I installed on my Mac. Today I decided to finally register it and activate it. Everything worked out fine and my NI account shows the LE registered. I purchased the Traktor Pro 2 upgrade download which applied to my situation which was coming from the LE version and when I try to activate Pro 2 through the service center it says I do no have the appropriate base product. And I can't fully install Pro 2. Any help?
  2. TomDooley0075

    TomDooley0075 NI Product Owner

    Messages:
    3,254
  3. martin1983

    martin1983 New Member

    Messages:
    2
    I was having the same problem (Mac user, upgrading from Traktor 3 LE to Traktor Pro 2) but seem to have fixed it.

    I think the key to fixing the problem is to uninstall FlashPlayer. After uninstalling FlashPlayer, I deleted and downloaded Service Center again (which then updated itself successfully) and it then recognised my Traktor Pro 2 registration number (which it didn't previously). Traktor Pro 2 now seems to working (finally).

    Hope this helps
  4. ohmee

    ohmee New Member

    Messages:
    4
    MARTIN1983! YOU ARE GOD! haha that worked! THANK YOU SO MUCH! I had been waiting for NI to respond my ticket for days! kudos to you sir! :D
  5. sonikgroove

    sonikgroove New Member

    Messages:
    2
    Hey martin, I have the same problem but i want to upgrade from traktor pro. I did what u said before but it still doesnt works. When I write the serial number that NI send me when I purchased the upgrade to TP2 it says it is wrong, I already send a message to NI but they haven't answer. Any help?
  6. martin1983

    martin1983 New Member

    Messages:
    2
    Hi Sonikgroove,

    I think that sounds like a slightly different problem to what I had. Firstly, if you have Traktor Pro you can update to Pro 2 with the "Update" version rather than the "Upgrade" version needed for upgrading from Traktor LE. Could that be a problem?

    As for the serial number being "wrong", my serial number was recognized as being a correct serial number, it just didn't think my base product was correct for what Traktor Pro 2 version I bought. So that sounds quite different in your case?

    Sorry I cannot be of much help- NI did get back to me about five days after I sent them a message, so hopefully they will get back to you soon!
  7. sonikgroove

    sonikgroove New Member

    Messages:
    2
    Hey martin,

    Finally NI answer my question, and I have installed the TP2 correctly.

    Thanx for your time and your concern.
Thread Status:
Not open for further replies.

Share This Page